[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# TUCA_VariableKind

Options for weighting data

## Declaration

Source position: unicodedata.pas line 393

`type TUCA_VariableKind = (`
`ucaShifted,` |  | Variable collation elements are reset to zero at levels one through three
`ucaNonIgnorable,` |  | Variable collation elements are not reset to be quaternary collation elements
`ucaBlanked,` |  | Variable collation elements and any subsequent ignorable collation elements are reset so that all weights (except for the identical level) are zero
`ucaShiftedTrimmed,` |  | This option is the same as Shifted, except that all trailing FFFFs are trimmed from the sort key.
`ucaIgnoreSP` |  | Not implemented (variant of Shifted that reduces the set of variable collation elements to include only spaces and punctuation)
`);`